Text-to-Image
curl --request POST \
--url https://www.anyfast.ai/v1/images/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "flux-1-kontext-pro",
"prompt": "A cute baby polar bear",
"n": 1,
"size": "1024x1024",
"seed": 123
}
'import requests
url = "https://www.anyfast.ai/v1/images/generations"
payload = {
"model": "flux-1-kontext-pro",
"prompt": "A cute baby polar bear",
"n": 1,
"size": "1024x1024",
"seed": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'flux-1-kontext-pro',
prompt: 'A cute baby polar bear',
n: 1,
size: '1024x1024',
seed: 123
})
};
fetch('https://www.anyfast.ai/v1/images/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created": 1774002799,
"data": [
{
"b64_json": "<string>"
}
]
}Black Forest Labs
flux-1-kontext-pro
Generate an image from a text prompt using FLUX.1 Kontext [pro]. Returns the result synchronously as base64-encoded JSON.
POST
/
v1
/
images
/
generations
Text-to-Image
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Model ID
Available options:
flux-1-kontext-pro Example:
"flux-1-kontext-pro"
Text description of the desired image. Must be in English.
Example:
"A cute baby polar bear"
Number of images to generate. Only 1 is supported.
Required range:
1 <= x <= 1Output image size, e.g. 1024x1024.
Example:
"1024x1024"
Output image format.
Available options:
jpeg, png Random seed for reproducible generation.
Was this page helpful?
⌘I